Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.binding.meta
Interface OperationDefinition

All Superinterfaces:
  Definition, NamedDefinition

public interface OperationDefinition
extends NamedDefinition

Interface for holding metadata of an operation. The operation can be either a common operation, such as Next and Commit, or custom operation, which is specific to the DataControl implementation.

Field Summary
`static int` | `CUSTOM`

Fields inherited from interface oracle.binding.meta.Definition
`TYPE_ACCESSOR, TYPE_ATTRIBUTE, TYPE_DATACONTROL, TYPE_DEFINITION, TYPE_DEFINITIONCONTEXT, TYPE_METHODRETURN, TYPE_NAMED, TYPE_OPERATION, TYPE_PARAMETER, TYPE_STRUCTURE, TYPE_VARIABLE`

Method Summary
`DataControlDefinition` | `getDataControlDefinition()` Retrieves the DataControlDefinition that this Operation belongs to.
`int` | `getOperationId()` Retrieves the operation id of the operation.
`DefinitionContainer` | `getOperationParameters()` Retrieves the metadata of the parameters of the operation.
`MethodReturnDefinition` | `getOperationReturnType()` Retrieves the metadata of the return type of the operation.

Methods inherited from interface oracle.binding.meta.NamedDefinition
`getDefinitionParent, getFullName, getName, getProperties, getProperty`

Methods inherited from interface oracle.binding.meta.Definition
`getDefinitionType`

Field Detail

### CUSTOM

    public static final int CUSTOM

  See Also:
    Constant Field Values

Method Detail

### getOperationParameters

    public DefinitionContainer getOperationParameters()

  Retrieves the metadata of the parameters of the operation.
  Returns:
    A DefinitionContainer containing the metadata of all parameters in the operation. There should be one ParameterDefinition object in the DefinitionContainer containing metadata for each parameter. If there are no paremeters, or if the operation is a common operation, an instance of EmptyDefinitionContainer should be returned.
  See Also:
    `ParameterDefinition`, `EmptyDefinitionContainer`

### getOperationReturnType

    public MethodReturnDefinition getOperationReturnType()

  Retrieves the metadata of the return type of the operation.
  Returns:
    Metadata of the return type of the operation. If the operation does not return any value, or if it is a common operation, null can be returned.

### getOperationId

    public int getOperationId()

  Retrieves the operation id of the operation.
  Returns:
    The id of the operation, or CUSTOM if this is a custom operation.

### getDataControlDefinition

    public DataControlDefinition getDataControlDefinition()

  Retrieves the DataControlDefinition that this Operation belongs to.
  Returns:
    The DataControlDefinition that this Operation belongs to.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.